Questo contenuto non è disponibile nella lingua selezionata.

16.2. Get Application Gear Endpoints


Description

Get API endpoints for individual application gears.

Method and URL Structure

Expand
Method URL Structure
GET /broker/rest/applications/:id/gear_groups

Request Parameters

Not applicable

cURL Command Example

$ curl -X GET https://openshift.redhat.com/broker/rest/applications/5213190e2587c8817a000121/gear_groups --user user@myemail.com --data-urlencode include=endpoints

Request

{
  "include": "endpoints"
}

JSON Response

The API returns a list of all gear groups for the specified application, including API endpoints for individual gears. Some information has been removed for brevity. See Chapter 13, Cartridges for more information on all cartridge parameters.

{
    "api_version": 1.6,
    "data": [
        {
            "gears": [
                {
                    "id": "5244ccb703ef64dc410000cf",
                    "state": "started",
                    "ssh_url": "ssh://5244ccb703ef64dc410000cf@myapp-mydomain.rhcloud.com",
                    "endpoints": [
                        {
                            "cartridge_name": "jbosseap-6",
                            "external_address": "23.22.238.189",
                            "external_port": "65006",
                            "internal_address": "127.12.125.129",
                            "internal_port": "8080",
                            "protocols": [
                                "http",
                                "ws"
                            ],
                            "types": [
                                "web_framework"
                            ],
                            "mappings": [
                                {
                                    "frontend": "",
                                    "backend": ""
                                },
                                {
                                    "frontend": "/health",
                                    "backend": ""
                                }
                            ]
                        },
                        {
                            "cartridge_name": "jbosseap-6",
                            "external_address": "23.22.238.189",
                            "external_port": "65007",
                            "internal_address": "127.12.125.129",
                            "internal_port": "7600",
                            "protocols": [
                                "tcp"
                            ],
                            "types": [
                                "web_framework"
                            ],
                            "mappings": []
                        },
                        {
                            "cartridge_name": "jbosseap-6",
                            "external_address": "23.22.238.189",
                            "external_port": "65008",
                            "internal_address": "127.12.125.129",
                            "internal_port": "5445",
                            "protocols": [
                                "tcp"
                            ],
                            "types": [
                                "web_framework"
                            ],
                            "mappings": []
                        },
                        {
                            "cartridge_name": "jbosseap-6",
                            "external_address": "23.22.238.189",
                            "external_port": "65009",
                            "internal_address": "127.12.125.129",
                            "internal_port": "5455",
                            "protocols": [
                                "tcp"
                            ],
                            "types": [
                                "web_framework"
                            ],
                            "mappings": []
                        },
                        {
                            "cartridge_name": "jbosseap-6",
                            "external_address": "23.22.238.189",
                            "external_port": "65010",
                            "internal_address": "127.12.125.129",
                            "internal_port": "4447",
                            "protocols": [
                                "tcp"
                            ],
                            "types": [
                                "web_framework"
                            ],
                            "mappings": []
                        }
                    ]
                }
            ],
        }
    ],
    "messages": [
        {
            "exit_code": 0,
            "field": null,
            "severity": "info",
            "text": "Showing gear groups for application 'myapp' with domain 'mydomain'"
        }
    ],
    "status": "ok",
    "type": "gear_groups",
    "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Formazione

Prova, acquista e vendi

Community

Informazioni su Red Hat

Forniamo soluzioni consolidate che rendono più semplice per le aziende lavorare su piattaforme e ambienti diversi, dal datacenter centrale all'edge della rete.

Rendiamo l’open source più inclusivo

Red Hat si impegna a sostituire il linguaggio problematico nel codice, nella documentazione e nelle proprietà web. Per maggiori dettagli, visita il Blog di Red Hat.

Informazioni sulla documentazione di Red Hat

Legal Notice

Theme

© 2026 Red Hat
Torna in cima